OpenCV: cvflann::any Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Friends | List of all members
cvflann::any Struct Reference

`#include "any.h"`

## Public Member Functions
template<typename T >
| any (const T &x)
| Initializing constructor. More...
| any ()
| Empty constructor. More...
| any (const char *x)
| Special initializing constructor for string literals. More...
| any (const any &x)
| Copy constructor. More...
| ~any ()
| Destructor. More...
any & | assign (const any &x)
| Assignment function from another any. More...
template<typename T >
any & | assign (const T &x)
| Assignment function. More...
template<typename T >
T & | cast ()
| Cast operator. You can only cast to the original type. More...
template<typename T >
const T & | cast () const
| Cast operator. You can only cast to the original type. More...
bool | compatible (const any &x) const
| Returns true if the two types are the same. More...
bool | empty () const
| Returns true if the any contains no value. More...
template<typename T >
bool | has_type ()
| Returns if the type is compatible with the policy. More...
template<typename T >
any & | operator= (const T &x)
| Assignment operator. More...
any & | operator= (const any &x)
| Assignment operator. Template-based version above doesn't work as expected. We need regular assignment operator here. More...
any & | operator= (const char *x)
void | reset ()
| Frees any allocated memory, and sets the value to NULL. More...
any & | swap (any &x)
| Utility functions. More...
const std::type_info & | type () const

## Friends
std::ostream & | operator<< (std::ostream &out, const any &any_val)

## Constructor & Destructor Documentation

## ◆ any() [1/4]

template<typename T >

cvflann::any::any | ( | const T & | x | ) |
| inline

Initializing constructor.

## ◆ any() [2/4]

cvflann::any::any | ( |  | ) |
| inline

Empty constructor.

## ◆ any() [3/4]

cvflann::any::any | ( | const char * | x | ) |
| inline

Special initializing constructor for string literals.

## ◆ any() [4/4]

cvflann::any::any | ( | const any & | x | ) |
| inline

Copy constructor.

## ◆ ~any()

cvflann::any::~any | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

## ◆ assign() [1/2]

any& cvflann::any::assign | ( | const any & | x | ) |
| inline

Assignment function from another any.

## ◆ assign() [2/2]

template<typename T >

any& cvflann::any::assign | ( | const T & | x | ) |
| inline

Assignment function.

## ◆ cast() [1/2]

template<typename T >

T& cvflann::any::cast | ( |  | ) |
| inline

Cast operator. You can only cast to the original type.

## ◆ cast() [2/2]

template<typename T >

const T& cvflann::any::cast | ( |  | ) | const
| inline

Cast operator. You can only cast to the original type.

## ◆ compatible()

bool cvflann::any::compatible | ( | const any & | x | ) | const
| inline

Returns true if the two types are the same.

## ◆ empty()

bool cvflann::any::empty | ( |  | ) | const
| inline

Returns true if the any contains no value.

## ◆ has_type()

template<typename T >

bool cvflann::any::has_type | ( |  | ) |
| inline

Returns if the type is compatible with the policy.

## ◆ operator=() [1/3]

template<typename T >

any& cvflann::any::operator= | ( | const T & | x | ) |
| inline

Assignment operator.

## ◆ operator=() [2/3]

any& cvflann::any::operator= | ( | const any & | x | ) |
| inline

Assignment operator. Template-based version above doesn't work as expected. We need regular assignment operator here.

## ◆ operator=() [3/3]

any& cvflann::any::operator= | ( | const char * | x | ) |
| inline

Assignment operator, specialed for literal strings. They have types like const char [6] which don't work as expected.

## ◆ reset()

void cvflann::any::reset | ( |  | ) |
| inline

Frees any allocated memory, and sets the value to NULL.

## ◆ swap()

any& cvflann::any::swap | ( | any & | x | ) |
| inline

Utility functions.

## ◆ type()

const std::type_info& cvflann::any::type | ( |  | ) | const
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | out,
|  | const any & | any_val
| ) |  |
| friend

The documentation for this struct was generated from the following file:

- flann/include/opencv2/flann/any.h